export class PromotionInvalidError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'PromotionInvalidError';
  }
}

export class PromotionNotFoundError extends PromotionInvalidError {
  constructor() {
    super('Promotion code not found');
    this.name = 'PromotionNotFoundError';
  }
}
